%define module	xmldiff
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:          python-%{module}
Version:       0.6.10
Release:       %mkrel 8
Summary:       Python classes to diff XML files
URL:           http://www.logilab.org/projects/xmldiff
Source:        http://download.logilab.org/pub/xmldiff/%{module}-%{version}.tar.gz
License:       GPL
Group:         File tools
BuildRequires: python-devel

%description
XMLdiff is a python tool that figures out the differences between two similar
XML files, in the same way the diff utility does it for text files. It was
developed for the Narval project and could also be used as a library or as a
command line tool. It can work either with XML files or DOM trees

%files
%doc ChangeLog DEPENDS README README.xmlrev TODO
%{_bindir}/*
%{_datadir}/sgml/stylesheet/%{module}
%{python_sitearch}/%{module}
%{python_sitearch}/%{module}-*.egg-info

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" %__python setup.py build

%install
%__python setup.py install --root=%{buildroot} 
rm -rf %{buildroot}%{_libdir}/python%{pyver}/site-packages/%{module}/test
chmod 755 %{buildroot}%{_bindir}/*



%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.6.10-8.mga6
+ Revision: 942589
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.10-7.mga5
+ Revision: 750029
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.10-6.mga5
+ Revision: 730020
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.10-5.mga5
+ Revision: 688438
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6.10-3.mga4
+ Revision: 544565
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.10-2.mga4
+ Revision: 499775
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.6.10-1.mga4
+ Revision: 491873
- Update to 0.6.10

* Sun Jan 13 2013 umeabot <umeabot> 0.6.8-6.mga3
+ Revision: 379711
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 23 2011 dmorgan <dmorgan> 0.6.8-5.mga2
+ Revision: 112850
- imported package python-xmldiff


* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.6.8-5mdv2010.0
+ Revision: 442548
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.6.8-4mdv2009.0
+ Revision: 259867
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.6.8-3mdv2009.0
+ Revision: 247740
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.8-1mdv2008.1
+ Revision: 136018
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-4mdv2007.0
- buildrequires python-devel

* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-3mdv2007.0
- %%mkrel

* Fri May 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-2mdk 
- fix spec name
- don't add PKG-INFO in documentation

* Fri May 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-1mdk 
- first mdk release

